<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Exercise extends Model
{
    use HasFactory;

    protected $fillable = ['title', 'description', 'gif_path'];

    public function courses()
    {
        return $this->belongsToMany(Course::class, 'course_exercise');
    }
	public function users()
    {
        return $this->belongsToMany(User::class, 'exercise_user')->withPivot('completed');
    }
	public function getGifUrlAttribute()
{
    return Storage::url($this->gif_path);
}
}
